#ifndef ALIASC_H
#define ALIASC_H
#include "kwdset.h"

enum problemtypec {fully_coupled_mech_trans=1,par_coupl_mech_trans=10,growing_par_coupl_mech_trans=70};
const enumstr problemtypecstr[3] = {{"fully_coupled_mech_trans",1},{"par_coupl_mech_trans",10},{"growing_par_coupl_mech_trans",70}};
const kwdset problemtypec_kwdset(sizeof(problemtypecstr)/sizeof(*problemtypecstr),problemtypecstr);


enum ladbabuskabrezzi {notdeflbb=0,lin_lin=1,quad_lin=2,quad_quad=3};
const enumstr ladbabuskabrezzistr[4] = {{"notdeflbb",0},{"lin_lin",1},{"quad_lin",2},{"quad_quad",3}};
const kwdset ladbabuskabrezzi_kwdset(sizeof(ladbabuskabrezzistr)/sizeof(*ladbabuskabrezzistr),ladbabuskabrezzistr);


enum coupsolver {linearc=0, fullnewtonc=1, modnewtonc=2};
const enumstr coupsolverstr[3] = {{"linearc",0},{"fullnewtonc",1},{"modnewtonc",2}};
const kwdset coupsolver_kwdset(sizeof(coupsolverstr)/sizeof(*coupsolverstr),coupsolverstr);


enum residuumtype {fluxesc=1,lrhsc=2};
const enumstr residuumtypestr[2]={{"fluxesc",1},{"lhrsc",2}};
const kwdset residuumtype_kwdset(sizeof(residuumtypestr)/sizeof(*residuumtypestr),residuumtypestr);

enum transmatterc {mech_onemedium=1,mech_twomedia=2,mech_threemedia=3};
const enumstr transmattercstr[3] = {{"mech_onemedium",1},{"mech_twomedia",2},{"mech_threemedia",3}};
const kwdset transmatterc_kwdset(sizeof(transmattercstr)/sizeof(*transmattercstr),transmattercstr);

enum mednamesc {mech_heat=1,mech_moisture=2,mech_water=3,mech_heat_moisture=10};
const enumstr mednamescstr[4] = {{"mech_heat",1},{"mech_moisture",2},{"mech_water",3},{"mech_heat_moisture",10}};
const kwdset mednamesc_kwdset(sizeof(mednamescstr)/sizeof(*mednamescstr),mednamescstr);


enum nonlinsolvertypec {arclc=1,newtonc=2};
const enumstr nonlinsolvertypecstr[2] = {{"arclc",1},{"newtonc",2}};
const kwdset nonlinsolvertypec_kwdset(sizeof(nonlinsolvertypecstr)/sizeof(*nonlinsolvertypecstr),nonlinsolvertypecstr);


enum displacementnormc {alldofsc=1,seldofsc=2,selnodesc=3,nodesdistincrc=4};
enum elemtypec {coupbar=10,coupquad=20,couptria=30,coupaxiquad=40,coupaxitria=50,couphex=60};
enum mattypec {isotransmatc=100,sejtkrc=600,concreteBc=160,baroghelBc=161,C60baroghelBc=165,
               C30baroghelBc=166,o30bazantBc=167,C60bazantBc=168,glasgowc=170,glascoup=171};

// aliases for keyword processing switch
enum pkwd_swc {nokwdc=0, kwd_pdc=1, kwd_outdc=2, kwd_pd_outdc=3, kwd_fullc=4};
#endif


